/*=====================================================================

    Definitions of "standard types"
    
    Copyright 1993 (C) David Hinds - All Rights Reserved
    
    Source file utypes.h Version 1.4, Updated 5/18/93

=====================================================================*/

/* The standard float type: should be the fastest available */
#ifdef _DOUBLE
typedef double float_t;
#define FT "%lf "
#else
typedef float float_t;
#define FT "%f "
#endif

/* Type for max precision results */
typedef double dbl_t;

/* General purpose int types */
typedef int int_t;
typedef long long_t;

#if defined (__linux) || defined (__darwin)
typedef unsigned int uint_t;
typedef unsigned long ulong_t;
#else
#include <sys/types.h>
#endif

#ifdef FALSE
#undef FALSE
#endif
#ifdef TRUE
#undef TRUE
#endif
typedef enum bool { FALSE, TRUE } bool_t;

typedef struct Coord { float_t x, y, z; } CoordType;

/* Don't know where to put this thing... */
#define repeat for (;;)






