#include "../src-lib/dist.h"

main(int argc,char **argv)
{
  SAY_HI_FIRST ;
  CITATION ;
  char * types_file = STRG_AFTER_OPT_W_ENV("types_file","atom-defs.dat") ;
  char * res_file = STRG_AFTER_OPT_W_ENV("res_file","resi-defs.dat") ;
  fprintf(stderr,"Expecting atoms definitions to be in %s\n",types_file);
  fprintf(stderr,"Expecting residue definitions to be in %s\n",res_file);
  initial_residues(types_file,res_file,0);

#if defined(__linux__) 
  STDERR("__linux__ is true on compilation");
#endif
  {
    file_records *f = open_and_read_pdb(STRG_AFTER_OPT_W_ENV("i","in.pdb"),0);
    int n = f->atomnum;
    atom_record ** P = f->atoms;
    char *outputfile = STRG_AFTER_OPT_W_ENV("o",NULL);
    FILE *ff = outputfile == NULL ? stdout : fopen(outputfile, "w") ;
    read_standard_volumes
      (STRG_AFTER_OPT_W_ENV("sv","stdvol173.dat"));
    fprintf(stderr,"Occ=Covalent-Radius  B=VDW-Radius  Surf=Ref-Vol\n");
    RefVToB(f);
    COPY_ATOM_VECTS_1TO2(P,b,P,surface,n);
    CovVDWRadiiToOccB(f);
    write_pdb_file(ff,f,IO_ONLY_SELECTED|IO_SURFACE);
  }
}






