#include "More_atom_types.h"

#define DEFAULT_RESIDUES "\
GLY 4\n\
  O   O1 \n\
  C   C3\n\
  CA  C4H\n\
  N   N3H\n\
\n\
ALA 5\n\
  O   O1 \n\
  C   C3\n\
  CA  C4H\n\
  N   N3H\n\
  CB  C4HHH\n\
\n\
VAL 7\n\
  O   O1 \n\
  C   C3\n\
  CA  C4H\n\
  N   N3H\n\
  CB  C4H\n\
  CG1 C4HHH\n\
  CG2 C4HHH\n\
\n\
LEU 8\n\
  O   O1 \n\
  C   C3\n\
  CA  C4H\n\
  N   N3H\n\
  CB  C4HH\n\
  CG C4H\n\
  CD1 C4HHH\n\
  CD2 C4HHH\n\
\n\
ILE 8\n\
  O   O1 \n\
  C   C3\n\
  CA  C4H\n\
  N   N3H\n\
  CB  C4H\n\
  CG1 C4HH\n\
  CG2 C4HHH\n\
  CD1 C4HHH\n\
\n\
\n\
PRO 7\n\
  O   O1 \n\
  C   C3\n\
  CA  C4H\n\
  N   N3H\n\
  CB  C4HH\n\
  CG  C4HH\n\
  CD  CPRO\n\
\n\
MET 9\n\
  O   O1 \n\
  C   C3\n\
  CA  C4H\n\
  N   N3H\n\
  CB  C4HH\n\
  CG  C4HH\n\
  SD  S2\n\
  CE  C4HHH\n\
\n\
PHE 11\n\
  O   O1 \n\
  C   C3\n\
  CA  C4H\n\
  N   N3H\n\
  CB  C4HH\n\
  CG  C3\n\
  CD1 C3H\n\
  CD2 C3H\n\
  CE1 C3H\n\
  CE2 C3H\n\
  CZ  C3H\n\
\n\
TYR 12\n\
  O   O1 \n\
  C   C3\n\
  CA  C4H\n\
  N   N3H\n\
  CB  C4HH\n\
  CG  C3\n\
  CD1 C3H\n\
  CD2 C3H\n\
  CE1 C3H\n\
  CE2 C3H\n\
  CZ  C3\n\
  OH  O2H\n\
\n\
\n\
TRP 15\n\
  O   O1 \n\
  C   C3\n\
  CA  C4H\n\
  N   N3H\n\
  CB  C4HH\n\
  CG  C3\n\
  CD1 C3H\n\
  NE1 N3H\n\
  CD2 C3\n\
  CE2 C3\n\
  CE3 C3H\n\
  CZ3 C3H\n\
  CZ2 C3H\n\
  CH2 C3H\n\
  CEH2 =CH2\n\
\n\
SER 7\n\
  O   O1 \n\
  C   C3\n\
  CA  C4H\n\
  N   N3H\n\
  CB  C4HH\n\
  OG  O2H\n\
  OG1 =OG\n\
\n\
THR 8\n\
  O   O1 \n\
  C   C3\n\
  CA  C4H\n\
  N   N3H\n\
  CB  C4H\n\
  OG1 O2H\n\
  CG2 C4HHH\n\
  CG  =CG2\n\
\n\
ASN 9\n\
  O   O1 \n\
  C   C3\n\
  CA  C4H\n\
  N   N3H\n\
  CB  C4HH\n\
  CG  C3\n\
  OD1 O1\n\
  ND2 N3HH\n\
\n\
\n\
GLN 10\n\
  O   O1 \n\
  C   C3\n\
  CA  C4H\n\
  N   N3H\n\
  CB  C4HH\n\
  CG  C4HH\n\
  CD  C3\n\
  OE1 O1\n\
  NE2 N3HH\n\
\n\
\n\
\n\
CYS 6\n\
  O   O1 \n\
  C   C3\n\
  CA  C4H\n\
  N   N3H\n\
  CB  C4HH\n\
  SG  S2\n\
\n\
HIS 10\n\
  O   O1 \n\
  C   C3\n\
  CA  C4H\n\
  N   N3H\n\
  CB  C4HH\n\
  CG  C3\n\
  ND1 N3\n\
  CD2 C3H\n\
  CE1 C3H\n\
  NE2 N3H\n\
\n\
\n\
GLU 10\n\
  O   O1 \n\
  C   C3\n\
  CA  C4H\n\
  N   N3H\n\
  CB  C4HH\n\
  CG  C4HH\n\
  CD  C3\n\
  OE1 O1O2H\n\
  OE2 O1O2H\n\
\n\
\n\
ASP 9\n\
  O   O1 \n\
  C   C3\n\
  CA  C4H\n\
  N   N3H\n\
  CB  C4HH\n\
  CG  C3\n\
  OD1 O1O2H\n\
  OD2 O1O2H\n\
\n\
\n\
\n\
ARG 11\n\
  O   O1 \n\
  C   C3\n\
  CA  C4H\n\
  N   N3H\n\
  CB  C4HH\n\
  CG  C4HH\n\
  CD  C4HH\n\
  NE  N3H\n\
  CZ  C3\n\
  NH1 N3HH\n\
  NH2 N3HH\n\
\n\
LYS 9\n\
  O   O1 \n\
  C   C3\n\
  CA  C4H\n\
  N   N3H\n\
  CB  C4HH\n\
  CG  C4HH\n\
  CD  C4HH\n\
  CE  C4HH\n\
  NZ  N4HHH\n\
\n\
ZN 1\n\
   ZN Z2ION\n\
\n\
HEM 39\n\
  FE FE\n\
  CMA C4HHH\n\
  CMB C4HHH\n\
  CMC C4HHH\n\
  CMD C4HHH\n\
  CAA C4HH\n\
  CBA C4HH\n\
  CAD C4HH\n\
  CBD C4HH\n\
  CAB C3H\n\
  CH C3H\n\
  CAC C3H\n\
  CBC C3HH\n\
  CBB C3HH\n\
  NA  N3\n\
  NB  N3\n\
  NC  N3\n\
  ND  N3\n\
  O1A  O1O2H\n\
  O1B  O1O2H\n\
  O1C  O1O2H\n\
  O1D  O1O2H\n\
  C1A  C3\n\
  C2A  C3\n\
  C3A  C3\n\
  C4A  C3\n\
  CGA  C3\n\
  C1B  C3\n\
  C2B  C3\n\
  C3B  C3\n\
  C4B  C3\n\
  C1C  C3\n\
  C2C  C3\n\
  C3C  C3\n\
  C4C  C3\n\
  C1D  C3\n\
  C2D  C3\n\
  C3D  C3\n\
  C4D  C3\n\
\n\
\n\
ACE 10\n\
  CH3 C4HHH\n\
\n\
ASH 1\n\
\n\
WAT 2\n\
  O OWAT \n\
  OW =O \n\
\n\
HOH 2\n\
  O OWAT \n\
  OW =O \n\
\n\
DOD =HOH\n\
\n\
DUM 20\n\
  OT O1O2H\n\
  OXT O1O2H\n\
  OT1 O1O2H\n\
  OT2 O1O2H\n\
  OE O1O2H\n\
  NT N4HHH\n\
  Z  Z2ION\n\
  DUM DEFAULT\n\
  NDUM  N4HHH\n\
  ODUM O2H\n\
  CDUM  C4HH\n\
"

void WriteAtomTypes()
{
  int ii ;
  
  /* ii used to run from 0. See bug fix in atom_types.c */
  for (ii =1 ; ii < MAX_ATOM_TYPE ; ii++) {
    char *k =  atom_type_names[ii].name ;
    if (k == NULL ) break ;
    printf("%3d %8s %7.4f %7.4f %7.4f\n",ii,k,atom_vdw[ii],atom_covalent[ii],
	   atom_charge[ii]);
  }
}

void UpdateAtomTypes(FILE * ff)
{
  char string[200] ; 
  
  while (fgets(string,200,ff) != NULL) {
    char name [200] ; 
    double charge,vdw,covalent;
    int ii ;
    
    
    ii = sscanf(string, LF_STRING_02, name,&vdw,&covalent,&charge) ;
    
    if (ii > 0) {
      if (ii < 3)
	serious_error(1, "Something wrong in atom type", string) ;
      
      ii = find_type_definition(name) ;
      atom_charge[ii] = charge;
      atom_covalent[ii] = covalent;
      atom_vdw[ii] = vdw;
    }
  }
  read_residue_definitions (stream_from_string(DEFAULT_RESIDUES)) ;
}

