#ifndef __FIT_H__
#define __FIT_H__
#ifdef __cplusplus
extern "C" {
#endif

# include "pdb.h"

# ifndef MAKESTRING
# define MAKESTRING(splicearg) #splicearg
# endif

# define XPLORMATPRI(nr) \
  { printf("%s [%3d]: << matrix  %s >>\n",__FILE__,__LINE__,MAKESTRING(nr)); wrapmp_(nr33tofort(nr));}


double MyFit(double ** RotMat, double * TVect, file_records *Moving, file_records *Fixed)
;
double * nr33tofort(double ** nr)
;

int NSelectCA(file_records * f, TokenizeData *d)
;
int EquivSelectCA(file_records *f1, file_records *f2, TokenizeData *d)
;


# include "fit.prototypes.h"
/*
   Public Fortran Routines: 

      SUBROUTINE GETLMN(ROT,KAPPA,R)
      SUBROUTINE WRAPMP(ROT)

*/

/*
   For More fitting routines see 
   the Hendrickson fitting routines
   in WH_super.

*/

#ifdef __cplusplus
}
#endif
#endif /* !__FIT_H__ */



